diff -c -r doxygen-1.5.1-orig/src/index.cpp doxygen-1.5.1/src/index.cpp
*** doxygen-1.5.1-orig/src/index.cpp	Sun Sep 10 14:44:00 2006
--- doxygen-1.5.1/src/index.cpp	Wed Jan 24 00:14:13 2007
***************
*** 3721,3727 ****
    ol.enable(OutputGenerator::Latex);
    ol.enable(OutputGenerator::RTF);
  
!   ol.startFile("refman",0,0);
    ol.startIndexSection(isTitlePageStart);
    if (!Config_getString("LATEX_HEADER").isEmpty()) 
    {
--- 3721,3727 ----
    ol.enable(OutputGenerator::Latex);
    ol.enable(OutputGenerator::RTF);
  
!   ol.startFile("refman",0,title);
    ol.startIndexSection(isTitlePageStart);
    if (!Config_getString("LATEX_HEADER").isEmpty()) 
    {
diff -c -r doxygen-1.5.1-orig/src/latexgen.cpp doxygen-1.5.1/src/latexgen.cpp
*** doxygen-1.5.1-orig/src/latexgen.cpp	Fri Oct 20 19:23:08 2006
--- doxygen-1.5.1/src/latexgen.cpp	Wed Jan 24 00:13:26 2007
***************
*** 434,441 ****
    writeDefaultStyleSheetPart3(t);
  }
  
! void LatexGenerator::startFile(const char *name,const char *,const char *)
  {
    QCString fileName=name;
    relPath = relativePathToRoot(fileName);
    if (fileName.right(4)!=".tex" && fileName.right(4)!=".sty") fileName+=".tex";
--- 434,442 ----
    writeDefaultStyleSheetPart3(t);
  }
  
! void LatexGenerator::startFile(const char *name,const char *,const char *title)
  {
+   docTitle = title;
    QCString fileName=name;
    relPath = relativePathToRoot(fileName);
    if (fileName.right(4)!=".tex" && fileName.right(4)!=".sty") fileName+=".tex";
***************
*** 472,478 ****
          else
          {
            QCString header = fileToString(latexHeader);
!           t << substituteKeywords(header,0);
          }
        }
        break;
--- 473,479 ----
          else
          {
            QCString header = fileToString(latexHeader);
!           t << substituteKeywords(header,docTitle);
          }
        }
        break;
diff -c -r doxygen-1.5.1-orig/src/latexgen.h doxygen-1.5.1/src/latexgen.h
*** doxygen-1.5.1-orig/src/latexgen.h	Sun Sep 10 14:34:18 2006
--- doxygen-1.5.1/src/latexgen.h	Wed Jan 24 00:12:51 2007
***************
*** 222,227 ****
--- 222,228 ----
      bool insideTabbing;
      bool firstDescItem;
      QCString relPath;
+     QCString docTitle;
      int m_indent;
  };
  
diff -c -r doxygen-1.5.1-orig/doc/config.doc doxygen-1.5.1/doc/config.doc
*** doxygen-1.5.1-orig/doc/config.doc	Fri Jul 21 21:54:14 2006
--- doxygen-1.5.1/doc/config.doc	Thu Jan 25 22:48:08 2007
***************
*** 1259,1265 ****
   <code>\$doxygenversion</code>, <code>\$projectname</code>, 
   <code>\$projectnumber</code>. 
   Doxygen will replace them by respectively 
!  the title of the page, the current date and time, only the current date,
   the version number of doxygen, the project name (see \c PROJECT_NAME), or the
   project number (see \c PROJECT_NUMBER).
     
--- 1259,1265 ----
   <code>\$doxygenversion</code>, <code>\$projectname</code>, 
   <code>\$projectnumber</code>. 
   Doxygen will replace them by respectively 
!  the title of the main page, the current date and time, only the current date,
   the version number of doxygen, the project name (see \c PROJECT_NAME), or the
   project number (see \c PROJECT_NUMBER).
     
